public class House : Building
{
    public float PopulationGiven => GlobalConfig.Instance.Current.populationGivenPerHouse;
    public override void LevelStart()
    {
        ResourceManager.Instance.MaximumPopulation += PopulationGiven;
        base.LevelStart();
    }
    public override void LevelDestroy()
    {
        ResourceManager.Instance.MaximumPopulation -= PopulationGiven;
        base.LevelDestroy();
    }
}